package cn.com.ctop.toutiao.modules.agent.mapper;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CtopAgentAccountMapper {
    //获取所有账户
    public List<String> getAllAccountId();

    public List<String> getAllAccountId2();

    List<String> getAccountIdsByProjectId(@Param("projectId") Long projectId);

    //根据账户id修改账户状态
    public void updateAccountState(@Param("list") List<String> list, @Param("state") int state);

    //批量插入新增数据
    public void insertAccountData(@Param("list") List<String> list, @Param("agent_id") String agent_id, @Param("create_time") String create_time);

    /**
     * 根据accountId查询
     *
     * @param accountId
     * @return
     */
    CtopOauthToken selectByAccountId(Long accountId);

}
